Bug 10987 - MySQL Apache module
MySQL Apache module
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
: 13141 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-04-22 11:30 EDT by jmbastia
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-03 07:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
RPM spec file for PHP (11.22 KB, text/plain)
2000-04-22 16:50 EDT, jmbastia
no flags Details

  None (edit)
Description jmbastia 2000-04-22 11:30:40 EDT
The spec file for php includes parts to build the MySQL apache module, but
their commented out.  In the comments section, it says to uncomment the
sections if MySQL is installed.

However, when the sections are uncommented, it fails to build the RPM.

I looked closer, and found that these two sections were missing
  %package mysql
  %description mysql

Along with
in the configure section.

I added my own lines to the spec file and it worked fine.  You may want to
add a %package and %description section, even if they're commented out, to
make it easier to build the MySQL module.
Comment 1 jmbastia 2000-04-22 11:59:59 EDT
Uh-oh.  Everything is not fine.

After building and installing the php RPM with the changes I made above, httpd
will no longer start.

It begins reporting errors about duplicate mysql functions.  Here is a partial
<b>Warning</b>:  Module load failed - duplicate function name - mysql_connect in
 <b>(null)</b> on line <b>0</b><br>
<b>Warning</b>:  Module load failed - duplicate function name - mysql_pconnect i
n <b>(null)</b> on line <b>0</b><br>

Note, though, that if I install the php RPM that is distributed with RH6.2, and
install the php-mysql RPM created by my version, then everything works fine.
Comment 2 jmbastia 2000-04-22 16:50:59 EDT
Created attachment 209 [details]
RPM spec file for PHP
Comment 3 jmbastia 2000-04-22 16:52:59 EDT
I found the problem about duplicate functions by removing the --with-mysql flag
from the configure statement, since I saw the spec file calls gcc directly to
build the mysql.so file.

It seems to have cured the problem.

I have attached my spec file that builds PHP with MySQL database support.  The
MySQL lines, though, are not commented out, as they are with the distribution
source RPM.
Comment 4 Nalin Dahyabhai 2000-05-03 07:28:59 EDT
I've made the changes, but I can't enable them by default because MySQL is
not in the main distribution tree.  The updated php-3.0.16-2 will be in Raw
Hide (ftp://ftp.redhat.com/pub/rawhide/SRPMS/SRPMS/) soon.
Comment 5 Nalin Dahyabhai 2000-06-27 21:43:59 EDT
*** Bug 13141 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.